# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "tysm"
version = "0.14.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Batteries-included Rust OpenAI Client"
homepage = "https://github.com/not-pizza/tysm"
readme = "README.md"
keywords = [
    "openai",
    "chatgpt",
    "chat-completions",
    "structured-outputs",
    "schema",
]
license = "MIT"
repository = "https://github.com/not-pizza/tysm"

[features]
default = ["dotenvy"]

[lib]
name = "tysm"
path = "src/lib.rs"

[[example]]
name = "batch-completions"
path = "examples/batch_completions.rs"

[[example]]
name = "batch-completions-low-level"
path = "examples/batch_completions_low_level.rs"

[[example]]
name = "chat-completions"
path = "examples/chat_completions.rs"

[[example]]
name = "embeddings"
path = "examples/embeddings.rs"

[[example]]
name = "files"
path = "examples/files.rs"

[dependencies.dashmap]
version = "6.1.0"

[dependencies.dotenvy]
version = "0.15.0"
optional = true

[dependencies.itertools]
version = "0.14.0"

[dependencies.log]
version = "0.4.27"

[dependencies.lru]
version = "0.12.5"

[dependencies.reqwest]
version = "0.11.20"
features = [
    "json",
    "multipart",
    "stream",
]

[dependencies.schemars]
version = "1.0.1"
features = ["preserve_order"]

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.107"
features = ["preserve_order"]

[dependencies.thiserror]
version = "2.0.9"

[dependencies.tokio]
version = "1.21.2"
features = ["fs"]

[dependencies.tokio-util]
version = "0.7.10"
features = ["codec"]

[dependencies.tynm]
version = "0.1.10"

[dependencies.url]
version = "2.5.4"

[dependencies.xxhash-rust]
version = "0.8.15"
features = [
    "xxh3",
    "const_xxh3",
]

[dependencies.zstd]
version = "0.13.3"

[dev-dependencies.anyhow]
version = "1"

[dev-dependencies.tokio]
version = "1.21.2"
features = [
    "macros",
    "rt-multi-thread",
    "full",
]

[dev-dependencies.tokio-test]
version = "0.4"
